Search Unity

  1. Unity 2019.2 is now released.
    Dismiss Notice

Feedback Could you please not suggest alphas and betas first on Hub by default?

Discussion in 'Unity Hub' started by rizu, Jul 4, 2019.

  1. rizu

    rizu

    Joined:
    Oct 8, 2013
    Posts:
    1,177
    Since Hub 2.0 has gone live, we've gotten a constant stream of new users on the Unity community having issues getting started with Unity. When asking what version they use, the answer is usually "well, the latest" and then after asking again turns out they are on the latest Unity alpha.

    This happens because Hub 2.x always suggests you to install the bleeding edge alpha version first, so new users will just pick it instead of the stable one. Do note that Hub doesn't even warn about this and that new users can't possibly know what the postfix a or b mean on the version number.

    I hope Unity will fix this ASAP. For example possible solutions are: have a setting to show experimental editor releases / nonrelease versions and have it disabled by default. Or just list them on the same place but put a different category on them + don't select them by default. I'd prefer the first suggestion myself.
     
    jc-drile77 and TCROC like this.
  2. TCROC

    TCROC

    Joined:
    Aug 15, 2015
    Posts:
    119
    I second this. Maybe a toolbar at the top of the download window to switch between Official and Alpha / Beta. Just an idea.
     
  3. safaGH

    safaGH

    Unity Technologies

    Joined:
    Mar 12, 2019
    Posts:
    124
    Hello,
    A hotfix (release v2.0.3) is coming soon with a separation between official and non stable versions and suggesting always the latest official :)
     
    JoaoBorks, jc-drile77 and rizu like this.